Bug 129968 - test kernel 2.6.8-1.520 makes umount to go into D state
test kernel 2.6.8-1.520 makes umount to go into D state
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-15 20:28 EDT by Michal Jaegermann
Modified: 2015-01-04 17:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-28 03:29:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
data collected via sysrq after umount got into D state (63.86 KB, text/plain)
2004-08-15 20:30 EDT, Michal Jaegermann
no flags Details

  None (edit)
Description Michal Jaegermann 2004-08-15 20:28:41 EDT
Description of problem:

While remaking some initrd image the whole procedure ends in
an unkillable umount like this:

root     24885  0.0  0.0 41696  452 pts/0    D    17:39   0:00
        \_ umount /tmp/initrd.mnt.o24736

This is part of ps output from some five minutes later after
various failed attempts to dislodge the whole thing.  Even
with an emergency sync and r/o reboot via sysrq I ended up with
a damage on /boot file system.  Also attempts to shutdown orderly
failed and I had to use sysrq "reboot" to get restore an order.

A processor state and tasks from sysrq are attached; but it looks
like this is an NFS code again even if I did not try to unmount
an NFS mount.

Version-Release number of selected component (if applicable):
kernel-2.6.8-1.520

How reproducible:
I would rather not try. :-)
Comment 1 Michal Jaegermann 2004-08-15 20:30:47 EDT
Created attachment 102754 [details]
data collected via sysrq after umount got into D state
Comment 2 Michal Jaegermann 2004-08-15 20:33:36 EDT
I meant, of course, "r/o remount via sysrq" and not "reboot".  Sigh!
Comment 3 Dave Jones 2004-11-27 15:25:05 EST
mass update for old bugs:

Is this still a problem with the 2.6.9 based update kernel ?
Comment 4 Michal Jaegermann 2004-11-27 20:25:33 EST
> Is this still a problem with the 2.6.9 based update kernel ?
I do not think so.  I did not see anything like that for a long time.

Note You need to log in before you can comment on or make changes to this bug.